com.ibm.openpages.api.questionnaire

## Class ProgramValidationResult

- java.lang.Object
- - com.ibm.openpages.api.questionnaire.ProgramValidationResult

-     public class ProgramValidationResult
      extends java.lang.Object

  An object to hold the program validation result. Refer `IQuestionnaireService.validateProgram(Id, LaunchProgramOptions)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProgramValidationResult(Id templateId, Id assetContentTypeId, int totalAssets, int totalAssessments, java.lang.String messageKey, java.util.List<java.lang.String> messageParams)` The constructor of ProgramValidationResult.
    `ProgramValidationResult(Id templateId, Id assetContentTypeId, int totalAssets, int totalAssessments, java.lang.String messageKey, java.util.List<java.lang.String> messageParams, Id copyFromTemplateId, boolean allQuestionsMatched, int totalMatchingQuestions)` The constructor of ProgramValidationResult.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getAllQuestionsMatched()` If all questions in the program template are matched.
    `Id` | `getAssetContentTypeId()`
    `Id` | `getCopyFromTemplateId()` The Id of the copy from Questionnaire Template object used by the Program.
    `java.util.List<java.lang.String>` | `getParams()` The parameters of the warning message.
    `Id` | `getTemplateId()` The Id of the Questionnaire Template object used by the Program.
    `int` | `getTotalAssessments()` The number of assessments associated to the program.
    `int` | `getTotalAssets()` The number of assets associated to the Program.
    `int` | `getTotalMatchingQuestions()` The number of matching questions between the program template and the copy from program template.
    `java.lang.String` | `getWarningMessage()` The application string key of the warning message.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProgramValidationResult

          public ProgramValidationResult(Id templateId,
                                         Id assetContentTypeId,
                                         int totalAssets,
                                         int totalAssessments,
                                         java.lang.String messageKey,
                                         java.util.List<java.lang.String> messageParams)

      The constructor of ProgramValidationResult. It is constructed by the API via `IQuestionnaireService.validateProgram(Id, LaunchProgramOptions)`. It is not intended for an API user to construct this object.

    - #### ProgramValidationResult

          public ProgramValidationResult(Id templateId,
                                         Id assetContentTypeId,
                                         int totalAssets,
                                         int totalAssessments,
                                         java.lang.String messageKey,
                                         java.util.List<java.lang.String> messageParams,
                                         Id copyFromTemplateId,
                                         boolean allQuestionsMatched,
                                         int totalMatchingQuestions)

      The constructor of ProgramValidationResult. It is constructed by the API via `IQuestionnaireService.validateProgram(Id, LaunchProgramOptions)`. It is not intended for an API user to construct this object.

  - ### Method Detail

    - #### getTemplateId

          public Id getTemplateId()

      The Id of the Questionnaire Template object used by the Program.
      Returns:
        Id

    - #### getAssetContentTypeId

          public Id getAssetContentTypeId()

      Returns:
        Id of the asset content type used by the Program

    - #### getTotalAssets

          public int getTotalAssets()

      The number of assets associated to the Program.
      Returns:
        number of assets

    - #### getTotalAssessments

          public int getTotalAssessments()

      The number of assessments associated to the program.
      Returns:
        number of assessments

    - #### getWarningMessage

          public java.lang.String getWarningMessage()

      The application string key of the warning message. This can be null when there is no warning message.
      Returns:
        application string key

    - #### getParams

          public java.util.List<java.lang.String> getParams()

      The parameters of the warning message.
      Returns:
        list of parameter string

    - #### getCopyFromTemplateId

          public Id getCopyFromTemplateId()

      The Id of the copy from Questionnaire Template object used by the Program.
      Returns:
        Id

    - #### getAllQuestionsMatched

          public boolean getAllQuestionsMatched()

      If all questions in the program template are matched.
      Returns:
        If all questions in the program template are matched.

    - #### getTotalMatchingQuestions

          public int getTotalMatchingQuestions()

      The number of matching questions between the program template and the copy from program template.
      Returns:
        number of questions

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.